%define upstream_name    Hook-Output-File
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Redirect STDOUT/STDERR to a file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hook/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Capture)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(boolean)
BuildArch:  noarch

%description
'Hook::Output::File' redirects 'STDOUT/STDERR' to a file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.80.0-4.mga9
+ Revision: 1817141
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-3.mga8
+ Revision: 1494840
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-2.mga7
+ Revision: 1268477
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 1010670
- update to 0.08

* Thu Feb 04 2016 umeabot <umeabot> 0.70.0-6.mga6
+ Revision: 935223
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 745021
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 685041
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 512220
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 368430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.70.0-1.mga2
+ Revision: 106990
- update to 0.07

* Fri Jan 21 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 28593
- mageia rebuild
- imported package perl-Hook-Output-File

